<?php
/**
 * @package     SP LMS
 *
 * @copyright   Copyright (C) 2010 - 2016 JoomShaper. All rights reserved.
 * @license     GNU General Public License version 2 or later.
 */

defined('_JEXEC') or die();
jimport('joomla.application.component.controllerform');
jimport( 'joomla.application.component.helper' );
jimport('joomla.filesystem.folder');
jimport('joomla.filesystem.file');
jimport('joomla.image.image');

class SplmsControllerLesson extends FOFController{

	public function __construct($config = array()){
		parent::__construct($config);
	}

	public function redirect()
	{
		if ($this->redirect)
		{
			$app = JFactory::getApplication();
			$app->enqueueMessage($this->message, $this->messageType);
			$url = JURI::base().$this->redirect;

			$app->setHeader('Status', 'HTTP/1.1 303 See other', true);
			$app->setHeader('Location', $url, true);
			$app->redirect($this->redirect);
			return true;
		}

		return false;
	}

	public function getModel($name = 'Lessons', $prefix = 'SplmsModel', $config = array()){
		return parent::getModel($name, $prefix, $config);
	}

    // Delete File
    public function delete_media() {

        $model      = $this->getModel();
        $input      = JFactory::getApplication()->input;
        $filePath   = $input->post->get('filePath', NULL, 'STRING');
        $itemID     = $input->post->get('itemId', NULL, 'INT');

        $report = array();
        $report['status'] = false;

        $report['itemID'] = $itemID;

        if(isset($filePath) && $filePath) {
            $report['delete'] = $model->removeAttachmentByID($itemID);
            if(JFile::exists($filePath)) {
                // Delete thumb
                if (JFile::delete($filePath)) {
                    $report['status']   = true;
                    $report['message']  = JText::_('SPLMS_ATTACHMENT_SUCCESSFULLT_REMOVED');
                }

            } else {
                $report['status'] = false;
                $report['message']  = JText::_('SPLMS_ATTACHMENT_ISNOT_EXIST');
            }
        } else {
            $report['status'] = false;
            $report['message']  = JText::_('SPLMS_NO_ATTACHMENT_FOUND');
        }

        echo json_encode($report);
        die;
    }

}
