<?php

/**
 * @package     SP Eventum
 *
 * @copyright   Copyright (C) 2010 - 2015 JoomShaper. All rights reserved.
 * @license     GNU General Public License version 2 or later.
 */

defined('JPATH_PLATFORM') or die;

class JFormFieldJsonmultiple extends JFormField
{
	protected $type = 'Jsonmultiple';

	protected $static;

	protected $repeatable;

	/**
	 * Method to get certain otherwise inaccessible properties from the form field object.
	 *
	 * @param   string  $name  The property name for which to the the value.
	 *
	 * @return  mixed  The property value or null.
	 *
	 * @since   2.0
	 */
	public function __get($name)
	{
		switch ($name)
		{
			case 'static':
				if (empty($this->static))
				{
					$this->static = $this->getStatic();
				}

				return $this->static;
				break;

			case 'repeatable':
				if (empty($this->repeatable))
				{
					$this->repeatable = $this->getRepeatable();
				}

				return $this->repeatable;
				break;

			default:
				return parent::__get($name);
		}
	}

	/**
	 * Get the rendering of this field type for static display, e.g. in a single
	 * item view (typically a "read" task).
	 *
	 * @since 2.0
	 *
	 * @return  string  The field HTML
	 */
	public function getStatic()
	{
		return $this->getInput();
	}

	/**
	 * Get the rendering of this field type for a repeatable (grid) display,
	 * e.g. in a view listing many item (typically a "browse" task)
	 *
	 * @since 2.0
	 *
	 * @return  string  The field HTML
	 */
	public function getRepeatable()
	{
		return $this->getInput();
	}

	public function getInput()
	{

		$teacher_ids = $this->value;

		if($teacher_ids) {
			$teachers_decodes = (array) json_decode($teacher_ids);
			if ($teachers_decodes) {
				$teacher_ids = array ();
				$i = 0;
				foreach ($teachers_decodes as $key => $teachers_decode) {
					if ($teachers_decode->specialist_text) {
						$teacher_ids[$i] = $teachers_decode->specialist_text;
						$i ++;
					}
				}
				$teacher_ids = implode(',', $teacher_ids);
			}

			if ($teacher_ids) {
				return $teacher_ids;
			} else {
				return '....';
			}
		}

		return '....';
	}

}
