/**
 * @package     SP LMS
 *
 * @copyright   Copyright (C) 2010 - 2015 JoomShaper. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

 jQuery(function($){ 'use strict';

    //Add to cart
	$(document).on('click', '#addtocart', function(event) {
        event.preventDefault();

        var $self   = $(this).parent('form');
        var value   = $self.serializeArray();

        var request = {
            'task' : 'ajax',
            'data'   : value
        };

       $.ajax({
            data   : request,
            beforeSend: function(){
                $self.find('.splms-icon').addClass(' splms-icon-spinner splms-icon-spin');
            },
            success: function (data) {

                var newData = $.parseJSON(data);
                var $btn = $self.find('.btn');

                $btn.removeAttr('href').removeAttr('id').attr('href', newData.redirect);
                $btn.html( '<i class="splms-icon-check"></i> ' + newData.button_text);
            }

        });

    });

    // CountDown
    jQuery.fn.countDown = function(settings,to) {
        settings = jQuery.extend({
            FontSize: "inherit",
            duration: 1000,
            startNumber: 500,
            endNumber: 0,
            callBack: function() { }
        }, settings);
        return this.each(function() {

            //where do we start?
            if(!to && to != settings.endNumber) { to = settings.startNumber; }

            //set the countdown to the starting number
            jQuery(this).text(to);

            //loopage
            jQuery(this).animate({
                fontSize: settings.FontSize
            }, settings.duration, "", function() {
                if(to > settings.endNumber + 1) {
                    jQuery(this).text(to - 1).countDown(settings, to - 1);
                }
                else {
                    settings.callBack(this);
                }

            });

        });
    };
    // END:: Countdown

      //Add to cart
      $(document).on('click', '.splms-payment-methods .payment-method-bank', function(event) {
        $('.splms-view-cart .splms-payment-methods-text-wrap .splms-payment-method-bank').fadeIn();
      });

      $(document).on('click', '.splms-payment-methods .payment-method-direct, .splms-payment-methods .payment-method-paypal', function(event) {
        $('.splms-view-cart .splms-payment-methods-text-wrap .splms-payment-method-bank').fadeOut();
      });

      $('#splms-payment-note').keyup(function(){
          var paymentNote = $(this).val(),
          paymentBtn  = $('.btn-bankpayment').attr('href');
          $('.btn-bankpayment').attr('href',paymentBtn + '&payment_note='+ paymentNote);
          //console.log(paymentBtn);
      });

    //payment method select
    //$(document).ready(function() {
        $("input[name$='payment-method']").click(function() {
            var test = $(this).val();

            $(".splms-cart .splms-payment-method").hide();
            $(".payment-method-" + test).show();
        });
    //});

    /*********** New Update JS(YOGA)  ***********/
    //lightbox gallery
    jQuery(function($) {
        $(document).on('click', '.lightboxgallery-gallery-item', function(event) {
            event.preventDefault();
            $(this).lightboxgallery({
                showCounter: true,
                showTitle: true,
                showDescription: true
            });
        });
    });

    //Teacher PieChart
    if($('.splms-pie-chart').length>0 ){
        $(function() {
            $('.splms-pie-chart').easyPieChart({
                barColor: $(this).data('barcolor'),
                trackColor: $(this).data('trackcolor'),
                scaleColor: false,
                lineWidth: 7,
                size: $(this).data('size')
            });
        });
    }

    
    // Custom Select Box
    if($('select.sp-select').length>0){
        $(document).on('click', function(e) {
            var selector = $('.sp-select');
            if (!selector.is(e.target) && selector.has(e.target).length === 0) {
                selector.find('ul').slideUp();
            }
        });

        $('select.sp-select').each(function(event) {
            $(this).hide();
            var $self = $(this);
            var spselect  = '<div class="sp-select">';
            spselect += '<div class="sp-select-result">';
            spselect += '<span class="sp-select-text">' + $self.find('option:selected').text() + '</span>';
            spselect += ' <i class="arrow-down"></i>';
            spselect += '</div>';
            spselect += '<ul class="sp-select-dropdown">';

            $self.children().each(function(event) {
                if($self.val() == $(this).val()) {
                    spselect += '<li class="active" data-val="'+ $(this).val() +'">' + $(this).text() + '</li>';
                } else {
                    spselect += '<li data-val="'+ $(this).val() +'">' + $(this).text() + '</li>';
                }
            });

            spselect += '</ul>';
            spselect += '</div>';
            $(this).after($(spselect));
        });

        $(document).on('click', '.sp-select', function(event) {
            $('.sp-select').not(this).find('ul').slideUp();
            $(this).find('ul').slideToggle();
        });

        $(document).on('click', '.sp-select ul li', function(event) {
            var $select = $(this).closest('.sp-select').prev('select');
            $(this).parent().prev('.sp-select-result').find('span').html($(this).text());
            $(this).parent().find('.active').removeClass('active');
            $(this).addClass('active');
            $select.val($(this).data('val'));
            $select.change();
        }); // End Select
    }

    //Ajax Teacher contact form
    $('.splms-teacher-appointment-from').on('submit', function(event) {

        event.preventDefault();

        var $this   = $(this);
        var $self   = $(this);
        var value   = $(this).serializeArray();
        var request = {
            'option' : 'com_splms',
            'task' : 'ajax',
            'data'   : value
        };

        $.ajax({
            type: 'POST',
            url: splms_appointment_url + "&task=teacher.contact&format=json",
            data: value,
            beforeSend: function() {
                $self.addClass('contact-proccess');
                $self.find('#contact-submit').prepend('<i class="arrow-down fa-spin"></i>');
            },
            success: function (response) {
              var data = $.parseJSON(response);
              if(data.status) {
                  $self.removeClass('contact-proccess').addClass('sent');
                  $self.find('#contact-submit').children('.fa-spinner').remove();
                  $self.find('#contact-submit').prop('disabled', true);
                  $self.next('.splms-cont-status').html('<p class="contact-sent">' + data.content + '</p>').fadeIn().delay(7000).fadeOut(500);
               } else {
                  $self.next('.splms-cont-status').html('<p class="contact-error">' + data.content + '</p>').fadeIn().delay(7000).fadeOut(500);
              }
            }
        });
    });

    if($('input[name="date"]').length>0){
        jQuery(function($){
          var date_input=$('input[name="date"]'); //our date input has the name "date"
          var options={
            format: 'mm/dd/yyyy',
            todayHighlight: true,
            autoclose: true,
          };
            date_input.datepicker(options);
        });
    }

    //SmoothScroll
    if($('.smoothScroll').length>0){
        $(function() {
          $('.smoothScroll').click(function() {
            if (location.pathname.replace(/^\//, '') == this.pathname.replace(/^\//, '') && location.hostname == this.hostname) {
              var target = $(this.hash);
              target = target.length ? target : $('[name=' + this.hash.slice(1) + ']');
              if (target.length) {
                $('html,body').animate({
                  scrollTop: target.offset().top
                }, 700);
                return false;
              }
            }
          });
        });
    }

});
