<?php
/**
 * @package     SP LMS
 *
 * @copyright   Copyright (C) 2010 - 2015 JoomShaper. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

// No Direct Access
defined ('_JEXEC') or die('Resticted Aceess');

class SplmsModelQuizquestions extends FOFModel {


	// build query
	public function buildQuery($overrideLimits = false){
		// BEGIN:: Query
		$table = $this->getTable();
		$tableName = $table->getTableName();
		$tableKey = $table->getKeyName();
		$db = $this->getDbo();
		$query = $db->getQuery(true);
		$query->select('*')->from($db->qn($tableName, 'a'));
		//Frontend
		if(FOFPlatform::getInstance()->isFrontend()) {
			// Get Params
			$app = JFactory::getApplication();
			$params   = $app->getMenu()->getActive()->params; // get the active item
			//Language
			$query->where('a.language in (' . $db->quote(JFactory::getLanguage()->getTag()) . ',' . $db->quote('*') . ')');
			//Access
			$query->where($db->quoteName('a.access')." IN (" . implode( ',', JFactory::getUser()->getAuthorisedViewLevels() ) . ")");
			//Enabled
			$query->where($db->qn('a.enabled')." = ".$db->quote('1'));
			// ordering
			$query->order('a.ordering DESC');
		}

		if (!$overrideLimits){
			if (!FOFPlatform::getInstance()->isFrontend()) {
				$order = $this->getState('filter_order', null, 'cmd');

				if (!in_array($order, array_keys($table->getData()))){
					$order = $tableKey;
				}
				$dir = $this->getState('filter_order_Dir', 'ASC', 'cmd');
				$query->order($order . ' ' . $dir);
			}
		}

		// Call the behaviors
		if(!FOFPlatform::getInstance()->isFrontend()) {
			$this->modelDispatcher->trigger('onAfterBuildQuery', array(&$this, &$query));
		}

		return $query;
	}

	//if item not found
	public function &getItem($id = null) {
		$item = parent::getItem($id);

		if(FOFPlatform::getInstance()->isFrontend()) {

			if($item->splms_quizquestion_id) {
				return $item;
			} else {
				return JError::raiseError(404, JText::_('COM_SPLMS_NO_ITEMS_FOUND'));
			}

		} else {
			return $item;
		}
	}

	// Get Quiz results by user id
	public function getQuizResult($user_id) {
		$db = JFactory::getDbo();
		$query = $db->getQuery(true);

		$query->select($db->quoteName(array('a.splms_quizresult_id', 'a.point', 'a.total_marks', 'a.splms_quizquestion_id', 'a.splms_course_id')));
		$query->select($db->quoteName('b.title', 'quiz_name'));
		$query->select($db->quoteName('c.title', 'course_name'));
		$query->select($db->quoteName('c.slug', 'course_slug'));
    	$query->from($db->quoteName('#__splms_quizresults', 'a'));
    	$query->join('LEFT', $db->quoteName('#__splms_quizquestions', 'b') . ' ON (' . $db->quoteName('a.splms_quizquestion_id') . ' = ' . $db->quoteName('b.splms_quizquestion_id') . ')');
    	$query->join('LEFT', $db->quoteName('#__splms_courses', 'c') . ' ON (' . $db->quoteName('a.splms_course_id') . ' = ' . $db->quoteName('c.splms_course_id') . ')');
    	$query->where($db->quoteName('a.user_id')." = ".$db->quote($user_id));
    	$query->where($db->quoteName('a.enabled')." = 1");

		$db->setQuery($query);
		$results = $db->loadObjectList();

		foreach ($results as &$result) {
			$result->course_url = JRoute::_('index.php?option=com_splms&view=course&id='.$result->splms_course_id.':'.$result->course_slug . SplmsHelper::getItemid('courses'));
		}

		return $results;
	}


	// Get quiz by quiz ID and user id
	public static function getQuizById($user_id, $quiz_id) {
		$db = JFactory::getDbo();
		// Create a new query object.
		$query = $db->getQuery(true);
		$query->select($db->quoteName(array('splms_quizresult_id', 'point', 'total_marks', 'splms_quizquestion_id', 'splms_course_id')));
		$query->from($db->quoteName('#__splms_quizresults'));
		$query->where($db->quoteName('enabled')." = 1");
		$query->where($db->quoteName('user_id')." = ".$db->quote($user_id));
		$query->where($db->quoteName('splms_quizquestion_id')." = ".$db->quote($quiz_id));
		$query->setLimit(1);
		$query->order('ordering ASC');
		$db->setQuery($query);
		// Load the results as a list of stdClass objects (see later for more options on retrieving data).
		$result = $db->loadObject();

		return $result;
	}

	// Insert Quiz Result
	public function insertQuizResult($user_id, $quiz_id, $course_id, $total_marks, $point) {
		//print_r($user_id);
		$db = JFactory::getDbo();
		$query = $db->getQuery(true);

		// Insert columns.
		$columns = array('user_id', 'splms_quizquestion_id', 'splms_course_id', 'total_marks', 'point');

		// Insert values.
		$values = array($db->quote($user_id), $db->quote($quiz_id), $db->quote($course_id), $db->quote($total_marks), $db->quote($point));

		// Prepare the insert query.
		$query
		->insert($db->quoteName('#__splms_quizresults'))
		->columns($db->quoteName($columns))
		->values(implode(',', $values));

		// Set the query using our newly populated query object and execute it.
		$db->setQuery($query);
		$db->execute();
	}


}
