<?php
/**
 * @package     SP LMS
 *
 * @copyright   Copyright (C) 2010 - 2015 JoomShaper. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

// No Direct Access
defined ('_JEXEC') or die('Resticted Aceess');

class SplmsModelTeachers extends FOFModel {

	public function __construct($config = array()){
		parent::__construct($config);
	}

	// build query
	public function buildQuery($overrideLimits = false){
		$table = $this->getTable();
		$tableName = $table->getTableName();
		$tableKey = $table->getKeyName();

		$db = $this->getDbo();
		$query = $db->getQuery(true);
		$this->modelDispatcher->trigger('onBeforeBuildQuery', array(&$this, &$query));

		$query->select('*')->from($db->qn($tableName, 'a'));
		//$query->from($db->quoteName('#__splms_coursescategories', 'a'));
		//Frontend
		if(FOFPlatform::getInstance()->isFrontend()) {
			// Get Params
			$app = JFactory::getApplication();
			$params   = $app->getMenu()->getActive()->params; // get the active item
			//Enabled
			$query->where($db->qn('a.enabled')." = ".$db->quote('1'));
			//Language
			$query->where('a.language in (' . $db->quote(JFactory::getLanguage()->getTag()) . ',' . $db->quote('*') . ')');
			//Access
			$query->where($db->quoteName('a.access')." IN (" . implode( ',', JFactory::getUser()->getAuthorisedViewLevels() ) . ")");
			// ordering
			$query->order('a.ordering DESC');
		}

		if (!$overrideLimits){
			if (!FOFPlatform::getInstance()->isFrontend()) {
				$order = $this->getState('filter_order', null, 'cmd');

				if (!in_array($order, array_keys($table->getData()))){
					$order = $tableKey;
				}
				$dir = $this->getState('filter_order_Dir', 'ASC', 'cmd');
				$query->order($order . ' ' . $dir);
			}
		}

		// Call the behaviors
		if(!FOFPlatform::getInstance()->isFrontend()) {
			$this->modelDispatcher->trigger('onAfterBuildQuery', array(&$this, &$query));
		}

	  return $query;

	}

	//if item not found
	public function &getItem($id = null) {
		$item = parent::getItem($id);

		if(FOFPlatform::getInstance()->isFrontend()) {

			if($item->splms_teacher_id) {
				return $item;
			} else {
				return JError::raiseError(404, JText::_('COM_SPLMS_NO_ITEMS_FOUND'));
			}

		} else {
			return $item;
		}
	}

	// Get teachers
	public static function getTeacher($id) {

		$db = JFactory::getDbo();
		$query = $db->getQuery(true);

		// Order it by the ordering field.
		$query->select($db->quoteName(array('splms_teacher_id', 'title', 'slug', 'image', 'description' , 'experience', 'specialist_in', 'website', 'social_facebook', 'social_twitter', 'social_gplus', 'social_linkedin')));
		$query->from($db->quoteName('#__splms_teachers'));
		$query->where($db->quoteName('enabled')." = 1");
		$query->where($db->quoteName('splms_teacher_id')." = ".$db->quote($id));
		$query->order('ordering DESC');
		$db->setQuery($query);
		$result = $db->loadObject();

		if ($result != '') {
			$result->url = JRoute::_('index.php?option=com_splms&view=teacher&id='.$result->splms_teacher_id.':'.$result->slug . SplmsHelper::getItemid('teachers'));
		}

		return $result;
	}

}
