<?php
/**
 * @package     SP LMS
 *
 * @copyright   Copyright (C) 2010 - 2017 JoomShaper. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

// No Direct Access
defined ('_JEXEC') or die('Resticted Aceess');

?>

<div id="splms" class="splms view-splms-course course-details">
	<div class="splms-course">

		<div class="course-thumbnail">
			<?php if (!empty($this->freeLesson)) {?>
			<div class="lesson-video">
				<div id="splms-lesson-video-<?php echo $id; ?>" class="lesson-video">
					<?php if ($this->id == 'remote-host') { ?>
		                <!-- player markup -->
				        <div id="MainWrapper"></div>
				        <div id="playlist_list">
				             <!-- local tracks -->
				             <div id="playlist" data-address="playlist">
				                 <div class="playlistNonSelected" data-address="local1" data-type="local" data-mp4="<?php echo $this->src; ?>" data-preview="<?php echo JURI::root() . $this->item->image; ?>" data-thumb="<?php echo JURI::root() . $this->item->image; ?>">
				                 </div>
				             </div>

				         </div>
					<?php } else{ ?>
					<div class="embed-responsive embed-responsive-16by9">
						<iframe src="<?php echo $this->src; ?>" width="100%" height="400" frameborder="0" webkitAllowFullScreen mozallowfullscreen allowFullScreen></iframe>
					</div>
					<?php } ?>
				</div>
				<script>

				</script>
			</div>
			<?php } else {?>
				<div class="course-banner-img">
					<img class="splms-img-responsive" src="<?php echo $this->item->image; ?>" alt="<?php echo $this->item->title; ?>">
				</div>
			<?php } ?>

			<?php
			if ($this->item->price == 0) {
				echo '<span class="splms-badge-free">' . JText::_('COM_SPLMS_FREE') . '</span>';
			} ?>
		</div>

		<!-- start course-header -->
		<div class="course-header clearfix">
			<h2 class="course-title pull-left"><?php echo $this->item->title; ?></h2>
			<div class="apply-now pull-right">
				<?php if (($this->item->price != 0) && ($this->isAuthorised == '') ) { ?>
				<form id="splms-buy-course">
					<input type="hidden" name="user_id" value="<?php echo $this->user->id; ?>">
					<input type="hidden" name="email" value="<?php echo $this->user->email; ?>">
					<input type="hidden" name="product_id" value="<?php echo $this->item->splms_course_id; ?>">
					<input type="hidden" name="product_name" value="<?php echo $this->item->title; ?>">
					<input type="hidden" name="price" value="<?php echo $this->item->price; ?>">
					<a class="btn btn-primary" id="addtocart" href="#">
						<i class="splms-icon"></i>
						<?php echo $this->coursePrice; ?> - <?php echo JText::_('COM_SPLMS_BUY_NOW'); ?>
					</a>
				</form>
				<?php }elseif ($this->isAuthorised != '') { ?>
					<a class="btn btn-primary" href="javascript:void(0);">
						<i class="splms-icon"></i>
						<?php echo JText::_('COM_SPLMS_PURCHASED'); ?>
					</a>
				<?php } ?>
			</div>
		</div> <!-- end course-header -->

		<div class="splms-course-description">
			<?php //echo $this->item->description;
			if( function_exists('do_shortcode') ){
				echo do_shortcode( $this->item->description );
			} else {
				echo $this->item->description;
			}

			?>
		</div>
        <div class="splms-row splms-course-introduction">
            <div class="splms-col-sm-12">
                <h3 class="splms-title"><?php echo JText::_('COM_SPLMS_EVENT_SHORT_DESC'); ?></h3>
                <div class="splms-course-description">
                    <?php echo $this->item->short_description; ?>
                </div> <!-- //.splms-course-description -->
            </div> <!-- //.splms-col-sm-12 -->

            <?php if (isset($this->item->course_infos) && count($this->item->course_infos)) { ?>
                <div class="splms-col-sm-12">
                    <h3 class="splms-title"><?php echo JText::_('COM_SPLMS_COURSE_INFO'); ?></h3>
                    <div class="splms-course-sessions-meta">
                        <?php foreach ($this->item->course_infos as $course_info) { ?>
                            <div>
                                <h4><?php echo $course_info['info_text'] ?> :</h4>
                                <span class="count"><?php echo $course_info['info_number'] ?></span>
                            </div>
                        <?php } ?>

                    </div> <!-- //.splms-course-sessions-meta -->
                </div> <!-- //.col-sm-12 -->
            <?php } ?>
        </div> <!-- //.splms-row splms-course-introduction-->


		<!-- Has lesson -->
		<?php if(!empty($this->lessons)) {?>
		<!-- start course-lessons  -->
		<div class="course-lessons">
			<h3><?php echo JText::_('COM_SPLMS_LESSONS'); ?></h3>
			<ul class="list-unstyled">
				<?php foreach ($this->lessons as $lesson) { ?>
					<?php if ($lesson->lesson_type == 0 || $this->isAuthorised != '' || $this->item->price == 0) { ?>
						<li>
							<span>
								<a href="<?php echo $lesson->lesson_url; ?>">
									<?php echo $lesson->title; ?>
								</a>
							</span>
							<span class="pull-right">
								<?php echo JText::_('COM_SPLMS_COMMON_DURATION') . JText::_(': '); ?>
								<?php echo $lesson->video_duration; ?>
							</span>
						</li>
					<?php } else {?>
						<li class="splms-lesson-unauthorised">
							<span>
								<i class="splms-icon-lock"></i>
								<?php echo $lesson->title; ?>
							</span>
							<span class="pull-right">
								<?php echo JText::_('COM_SPLMS_COMMON_DURATION') . ': '; ?>
								<?php echo $lesson->video_duration; ?>
							</span>
						</li>
					<?php } // end else ?>

				<?php } // END:: foreach ?>
			</ul>
		</div> <!-- end course-lessons -->
		<?php } // END:: has lesson ?>


		<!-- Has quiz -->
		<?php if (!empty($this->quizzes)) { ?>
		<div class="splms-course-quizzes">
			<h3><?php echo JText::_('COM_SPLMS_QUIZ'); ?></h3>

			<ul class="list-unstyled">
				<?php foreach ($this->quizzes as $quiz) {
					$qtype = ($quiz->quiz_type == 1) ? JText::_('COM_SPLMS_PAID') : JText::_('COM_SPLMS_FREE');
				?>

					<li>
						<span>
							<i class="fa fa-question-circle"></i>
							<a href="<?php echo $quiz->url; ?>">
								<?php echo $quiz->title; ?>
							</a>
						</span>
						<span class="pull-right">
							<?php echo $qtype; ?>
						</span>
					</li>

				<?php } // END:: foreach ?>
			</ul>

		</div>
		<?php } ?>
		<!-- END::  quiz -->

    <?php if (isset($this->item->course_schedules) && count($this->item->course_schedules)) { ?>
        <div class="splms-course-class-rotuines">
            <div class="splms-class-routines">
                <h3 class="splms-title"><?php echo JText::_('COM_SPLMS_CLASS_TIMES'); ?></h3>
                <table class="table table-bordered">
                    <thead>
                        <tr>
                            <?php foreach ($this->schedule_days as $schedule_day) { ?>
                                <th><?php echo $schedule_day; ?></th>
                            <?php } ?>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <?php foreach ($this->schedule_days as $schedule_day) { ?>
                                <td class="splms-class-routines-day-<?php echo $schedule_day; ?>">
                                    <?php if (!in_array($schedule_day, $this->hasdays)) { ?>
                                        <div class="splms-class-routines-text no-schedule">
                                        <?php } ?>
                                        <?php foreach ($this->item->course_schedules as $course_schedule) { ?>
                                            <?php if ($schedule_day == $course_schedule['day']) { ?>
                                                <div class="splms-class-routines-text has-schedule">
                                                    <?php echo $course_schedule['text']; ?>
                                                </div>
                                            <?php } ?>
                                        <?php } // foreach course_schedules?>
                                </td>
                            <?php } //foreach schedule_days ?>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div> <!-- //.splms-course-class-rotuines -->
    <?php } ?>


		<!-- Has teacher -->
		<?php if (!empty($this->teachers)) {?>
		<div class="splms-course-teachers">
			<h3><?php echo JText::_('COM_SPLMS_MEET_OUR_COURSE_TEACHER'); ?></h3>
			<div class="splms-row">
				<?php foreach ($this->teachers as $teacher) { ?>
					<div class="splms-col-sm-3">
						<div class="splms-course-teacher">
							<a href="<?php echo $teacher->url; ?>"><img src="<?php echo $teacher->image; ?>" alt="<?php echo $teacher->title; ?>"></a>
							<h4><a href="<?php echo $teacher->url; ?>"><?php echo $teacher->title; ?></a></h4>
							<small><?php echo $teacher->specialist_in; ?></small>
						</div>
					</div>
				<?php } ?>
			</div>
		</div>
		<?php } ?> <!-- END::  teacher -->

    <?php if($this->show_related_courses){
	    if (isset($this->related_courses) && is_array($this->related_courses)) { ?>
	        <div class="splms-similar-courses">
	            <h3 class="splms-title"><?php echo JText::_('COM_SPLMS_SIMILAR_CLASSES'); ?></h3>
	            <div class="splms-courses-list splms">
	                <div class="splms-row">
	                    <?php foreach ($this->related_courses as $related_course) { ?>
	                        <div class="splms-col-sm-4">
	                            <div class="splms-course">
	                                <a href="#">
	                                    <img src="<?php echo $related_course->thumb; ?>" class="splms-course-img splms-img-responsive" alt="Yoga for Pregnants">
	                                </a>
	                                <div class="splms-content-wrap">
	                                    <h4 class="splms-course-title">
	                                        <a href="<?php echo $related_course->url; ?>"><?php echo $related_course->title; ?></a>
	                                    </h4>
	                                    <div class="splms-course-cat">
	                                        <?php echo $related_course->category_name; ?>
	                                    </div>
	                                    <div class="splms-course-time">
	                                        <?php echo $related_course->course_time; ?>
	                                    </div>
	                                    <div class="splms-course-details-btn">
	                                        <a href="<?php echo $related_course->url; ?>" class="btn btn-primary"><?php echo JText::_('COM_SPLMS_DETAILS'); ?></a>
	                                    </div>
	                                </div> <!-- /.splms-content-wrap -->
	                            </div> <!-- /.splms-course -->
	                        </div> <!-- //.splms-col-sm-4 -->
	                    <?php } ?>
	                </div> <!-- /.splms-row -->
	            </div><!-- //.splms-courses-list -->
	        </div> <!-- //.splms-similar-courses -->
	    <?php } ?>
    <?php } ?>
	</div>
</div>
