<?php

/**
 * @package     SP LMS
 *
 * @copyright   Copyright (C) 2010 - 2016 JoomShaper. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

// No Direct Access
defined ('_JEXEC') or die('Resticted Aceess');

class SplmsViewCoursescategory extends FOFViewHtml{

	public function display($tpl = null){

		//Load the method jquery script.
		JHtml::_('jquery.framework');

		// Get model
		$model = $this->getModel();
		// get item
		$this->item = $model->getItem();

		// Load courses Model
		$courses_model = FOFModel::getTmpInstance('Courses', 'SplmsModel');
		// Load lesson Model
		$lessons_model = FOFModel::getTmpInstance('Lessons', 'SplmsModel');

		// Add Script
		$doc = JFactory::getDocument();
		$doc->addScript( JURI::root(true) . '/components/com_splms/assets/js/matchheight.js' );

		// Get courses by Category
		$this->category_items = $model->getCoursesByCategory($this->item->splms_coursescategory_id);


		jimport('joomla.application.component.helper');
		$this->params = JComponentHelper::getParams('com_splms');

		//Get Currency
		$currency = explode(':', $this->params->get('currency', 'USD:$'));
		$this->currency =  $currency[1];

		// Get image thumb
		$this->thumb_size = strtolower($this->params->get('course_thumbnail', '480X300'));


		foreach ($this->category_items as &$this->category_item) {

			// Generate URL
			$this->category_item->url = JRoute::_('index.php?option=com_splms&view=course&id=' . $this->category_item->splms_course_id . ':' . $this->category_item->slug . SplmsHelper::getItemid('course')); 
			
			// Get course teachers
			$this->category_item->teachers = $courses_model->getCourseTeachers( $this->category_item->splms_course_id );
			// Get course lessons
			$this->category_item->lessons  = $lessons_model->getLessons( $this->category_item->splms_course_id );


			// Count course lesosns Attachments
			$this->category_item->total_attachments = array();
			foreach ($this->category_item->lessons as $lesson){
				if ($lesson->attachment) {
					$this->category_item->total_attachments[] = $lesson->attachment;
				}
			}

			// Get Prices
			if ($this->category_item->price == 0) {
				$this->category_item->c_price = JText::_('COM_SPLMS_FREE');
			}else{
				$this->category_item->c_price = $this->currency . $this->category_item->price; 
			}

		}

		


		return parent::display($tpl = null);
	}
}