<?php

/**
 * @package     SP LMS
 *
 * @copyright   Copyright (C) 2010 - 2016 JoomShaper. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

// No Direct Access
defined ('_JEXEC') or die('Resticted Aceess');


class SplmsViewEvent extends FOFViewHtml{

	public function display($tpl = null){

		JHtml::_('jquery.framework');
		$model = $this->getModel();
		//Load Lessons Model
		$speakers_model = FOFModel::getTmpInstance('Speakers', 'SplmsModel');
		// get item
		$this->item = $model->getItem();

		$root 	= JURI::base();
		$root 	= new JURI($root);
		$event_url = JRoute::_('index.php?option=com_splms&view=event&id=' . $this->item->splms_event_id . ':' . $this->item->slug . SplmsHelper::getItemid('event'));
		$this->item->url  	= $root->getScheme() . '://' . $root->getHost() . $event_url;

		//Joomla Component Helper & Get LMS Params
		jimport('joomla.application.component.helper');
		$this->params = JComponentHelper::getParams('com_splms');
		$gmap_api = $this->params->get('gmap_api');
		// Load Map js
		$doc = JFactory::getDocument();
		if ($gmap_api) {
			$doc->addScript('//maps.google.com/maps/api/js?sensor=false&libraries=places&key='. $gmap_api .'');
		} else{
			$doc->addScript('//maps.google.com/maps/api/js?sensor=false&libraries=places');
		}

		$doc->addScript( JURI::base(true) . '/components/com_splms/assets/js/gmap.js');

		$this->topics = array();
		foreach ($this->item->topics as &$this->item->topic) {

			$this->item->topic['speaker_infos'] = '';
			if ($this->item->topic['splms_speaker_id']) {
				$this->item->topic['speaker_infos'] = $speakers_model->getSpeakerById($this->item->topic['splms_speaker_id']);
			}


			// echo "<pre>";
			// print_r($this->item->topic['speaker_infos']);
			// echo "</pre>";

		  $group = trim($this->item->topic['group']);
		  if (isset($this->topics[$group])) {
		     $this->topics[$group][] = $this->item->topic;
		  } else {
		     $this->topics[$group] = array($this->item->topic);
		  }


		}

		// Map
		$this->map = explode(',', $this->item->map);
		//Get Eveent Sepaker
		$this->item->speaker_infos = $model->getEventSpeakers($this->item->splms_speaker_id);
		// Get Currency
		$this->item->currency = explode(':', $this->params->get('currency', 'USD:$'));

		if ( $this->item->price && $this->item->price != 0) {
			$this->item->price = SplmsHelper::generateCurrency($this->item->price);
		}

		//Generate Item Meta
		$itemMeta               = array();
		$itemMeta['title']      = $this->item->title;
		$cleanText              = $this->item->description;
		$itemMeta['metadesc']   = JHtml::_('string.truncate', JFilterOutput::cleanText($cleanText), 155);
		$itemMeta['image']      = JURI::base() . $this->item->image;
		SplmsHelper::itemMeta($itemMeta);



		return parent::display($tpl = null);
	}
}
