<?php
/**
 * @package     SP LMS
 *
 * @copyright   Copyright (C) 2010 - 2015 JoomShaper. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

// No Direct Access
defined ('_JEXEC') or die('Resticted Aceess');

class SplmsModelCertificates extends FOFModel {

	// Get user By user id
	public static function getUser($user_id) {
		$db = JFactory::getDbo();
		$query = $db->getQuery(true);
		
		$query->select($db->quoteName(array('a.name', 'a.email', 'b.profile_value', 'b.profile_key')));

		$query->from($db->quoteName('#__users', 'a'));

		$query->join('LEFT', $db->quoteName('#__user_profiles', 'b') . ' ON (' . $db->quoteName('a.id') . ' = ' . $db->quoteName('b.user_id') . ')');
		$query->where($db->quoteName('a.block')." = 0");
		$query->where($db->quoteName('a.id')." = ".$db->quote($user_id));
		//$query->where($db->quoteName('b.profile_key') . ' LIKE \'profilelms.avatar%\'');
		$db->setQuery($query);
		$result = $db->loadObject();

		return $result;
	}

	// Get Course By id
	public static function getCerficateById($user_id) {
		$db = JFactory::getDbo();
		$query = $db->getQuery(true);
		$query->select($db->quoteName(array('b.title', 'a.splms_certificate_id', 'a.userid', 'a.instructor')));
		$query->from($db->quoteName('#__splms_certificates', 'a'));
		$query->join('LEFT', $db->quoteName('#__splms_courses', 'b') . ' ON (' . $db->quoteName('a.splms_course_id') . ' = ' . $db->quoteName('b.splms_course_id') . ')');
		$query->where($db->quoteName('a.userid')." = ".$db->quote($user_id));
		$query->where($db->quoteName('a.enabled')." = 1");
		$query->order('a.ordering DESC');
		$db->setQuery($query);
		$results = $db->loadObjectList();

		foreach ($results as &$result) {
			$result->certificate_url = JRoute::_('index.php?option=com_splms&view=certificate&id='.$result->splms_certificate_id.':' . splmshelper::getItemid('certificates'));
		}

		return $results;
	}

	// Get Course Category By Category id
	public static function getCourseCategory($id) {
		$db = JFactory::getDbo();
		$query = $db->getQuery(true);
		$query->select($db->quoteName(array('splms_coursescategory_id', 'title', 'slug')));
		$query->from($db->quoteName('#__splms_coursescategories'));
		$query->where($db->quoteName('enabled')." = 1");
		$query->where($db->quoteName('splms_coursescategory_id')." = ".$db->quote($id));
		$query->order('ordering DESC');
		$db->setQuery($query);
		$result = $db->loadObject();
		
		return $result;
	}

	// build query
	public function buildQuery($overrideLimits = false){

		// BEGIN:: Query
		$table = $this->getTable();
		$tableName = $table->getTableName();
		$tableKey = $table->getKeyName();
		$db = $this->getDbo();
		$query = $db->getQuery(true);
		$query->select('*')->from($db->qn($tableName));
		//Frontend
		if(FOFPlatform::getInstance()->isFrontend()) {
			// Get Params
			$app = JFactory::getApplication();
			$params   = $app->getMenu()->getActive()->params; // get the active item
			//Enabled
			$query->where($db->qn('enabled')." = ".$db->quote('1'));
			
			// ordering
			$query->order('ordering DESC');
			
		}
		// Call the behaviors
		$this->modelDispatcher->trigger('onAfterBuildQuery', array(&$this, &$query));

		return $query;

	}


}