<?php
/**
 * @package     SP LMS
 *
 * @copyright   Copyright (C) 2010 - 2015 JoomShaper. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

// No Direct Access
defined ('_JEXEC') or die('Resticted Aceess');

class SplmsModelSpeakers extends FOFModel {

	public function __construct($config = array()){
		parent::__construct($config);
	}

	// build query
	public function buildQuery($overrideLimits = false){

		// BEGIN:: Query
		$table = $this->getTable();
		$tableName = $table->getTableName();
		$tableKey = $table->getKeyName();
		$db = $this->getDbo();
		$query = $db->getQuery(true);
		$query->select('*')->from($db->qn($tableName, 'a'));
		//Frontend
		if(FOFPlatform::getInstance()->isFrontend()) {
			// Get Params
			$app = JFactory::getApplication();
			$params   = $app->getMenu()->getActive()->params; // get the active item
			//Language
			$query->where('a.language in (' . $db->quote(JFactory::getLanguage()->getTag()) . ',' . $db->quote('*') . ')');
			//Access
			$query->where($db->quoteName('a.access')." IN (" . implode( ',', JFactory::getUser()->getAuthorisedViewLevels() ) . ")");
			//Enabled
			$query->where($db->qn('a.enabled')." = ".$db->quote('1'));
			// ordering
			$query->order('a.ordering DESC');

		}

		if (!$overrideLimits){
			if (!FOFPlatform::getInstance()->isFrontend()) {
				$order = $this->getState('filter_order', null, 'cmd');

				if (!in_array($order, array_keys($table->getData()))){
					$order = $tableKey;
				}
				$dir = $this->getState('filter_order_Dir', 'ASC', 'cmd');
				$query->order($order . ' ' . $dir);
			}
		}

		// Call the behaviors
		if(!FOFPlatform::getInstance()->isFrontend()) {
			$this->modelDispatcher->trigger('onAfterBuildQuery', array(&$this, &$query));
		}

		return $query;
	}

	//if item not found
	public function &getItem($id = null) {
		$item = parent::getItem($id);

		if(FOFPlatform::getInstance()->isFrontend()) {

			if($item->splms_speaker_id) {
				return $item;
			} else {
				return JError::raiseError(404, JText::_('COM_SPLMS_NO_ITEMS_FOUND'));
			}

		} else {
			return $item;
		}
	}

	//Get Speaker Events
	public static function getSpeakerEvents($speaker_id) {
		$db = JFactory::getDbo();
		// Create a new query object.
		$query = $db->getQuery(true);

		// Select all records from the user profile table where key begins with "custom.".
		// Order it by the ordering field.
		$query->select($db->quoteName(array('splms_event_id', 'title', 'slug', 'event_start_date', 'price')));
		$query->from($db->quoteName('#__splms_events'));
		$query->where($db->quoteName('enabled')." = 1");
		$query->where($db->quoteName('splms_speaker_id')." LIKE ".$db->quote($speaker_id));
		$query->order('ordering DESC');

		// Reset the query using our newly populated query object.
		$db->setQuery($query);

		// Load the results as a list of stdClass objects (see later for more options on retrieving data).
		$results = $db->loadObjectList();

		foreach ($results as &$result) {
			$result->url = JRoute::_('index.php?option=com_splms&view=event&id='.$result->splms_event_id.':'.$result->slug . SplmsHelper::getItemid('events'));

			//$result->url = JRoute::_('index.php?option=com_splms&view=event&id='. $result->splms_event_id);
		}

		return $results;
	}

	// Get Event Speakers by event
	public static function getSpeakerById($id) {

		$db = JFactory::getDbo();
		$query = $db->getQuery(true);

		if (!empty($id)) {
			$query->select($db->quoteName(array('splms_speaker_id', 'title', 'slug', 'designation', 'image')));
			$query->from($db->quoteName('#__splms_speakers'));
			$query->where($db->quoteName('enabled')." = 1");
			$query->where($db->quoteName('splms_speaker_id')." = (". $id . ")");
			$query->order('ordering DESC');

			$db->setQuery($query);

			$item = $db->loadObject();

			$item->url = JRoute::_('index.php?option=com_splms&view=speaker&id='.$item->splms_speaker_id.':'.$item->slug . SplmsHelper::getItemid('speakers'));

		}else{
			$item='';
		}

		return $item;
	}

}
