<?php
/**
 * @package     SP LMS
 * @subpackage  mod_splmscourses
 *
 * @copyright   Copyright (C) 2010 - 2015 JoomShaper. All rights reserved.
 * @license     GNU General Public License version 2 or later.
*/

defined('_JEXEC') or die;


class ModSplmscoursesHelper {

	public static function getCourses($params) {

		// Get Course Type
		$course_type = $params->get('course_type');

		$db = JFactory::getDbo();
		$query = $db->getQuery(true);

		$query->select('*');
		$query->from($db->quoteName('#__splms_courses'));
		$query->where($db->quoteName('enabled') . ' = 1');
		$query->where('language in (' . $db->quote(JFactory::getLanguage()->getTag()) . ',' . $db->quote('*') . ')');
		$query->where($db->quoteName('access')." IN (" . implode( ',', JFactory::getUser()->getAuthorisedViewLevels() ) . ")");
		if ($course_type=='course_paid') {
			$query->where($db->quoteName('price') . ' > 1');
			$query->order($db->quoteName('ordering') . ' ASC');
		} elseif ($course_type=='course_free') {
			$query->where($db->quoteName('price') . ' = 0');
			$query->order($db->quoteName('ordering') . ' ASC');
		} elseif ($course_type== 'course_featured') {
			$query->where($db->quoteName('featured_course') . ' = 1');
			$query->order($db->quoteName('ordering') . ' ASC');
		} else {
			$query->order($db->quoteName('ordering') . ' ASC');
		}

		$query->setLimit($params->get('limit', 6));
		$db->setQuery($query);
		$items = $db->loadObjectList();

		if ($course_type == 'course_popular') {
			$items = self::getPopularCourses($params->get('limit', 6));
		}

		foreach ($items as &$item) {
			$item->url = JRoute::_('index.php?option=com_splms&view=course&id='.$item->splms_course_id.':'.$item->slug . SplmsHelper::getItemid('courses'));
		}

		return $items;
	}

	// Get Popular Courses
	private static function getPopularCourses($limit = 6) {

		$db = JFactory::getDbo();
		$query = $db->getQuery(true);
		$query->select( array('a.*', 'count(b.splms_course_id) AS count_course'  ));
		$query->from($db->quoteName('#__splms_courses', 'a'));
		$query->join('LEFT', $db->quoteName('#__splms_orders', 'b') . ' ON (' . $db->quoteName('a.splms_course_id') . ' = ' . $db->quoteName('b.splms_course_id') . ')');
		$query->where($db->quoteName('b.enabled') . ' = 1');
		$query->where('a.language in (' . $db->quote(JFactory::getLanguage()->getTag()) . ',' . $db->quote('*') . ')');
		$query->where($db->quoteName('a.access')." IN (" . implode( ',', JFactory::getUser()->getAuthorisedViewLevels() ) . ")");
		$query->group($db->quoteName('b.splms_course_id'));
		$query->order($db->quoteName('count_course') . ' DESC');
		$query->setLimit($limit);
		$db->setQuery($query);
		$items = $db->loadObjectList();

		return $items;

	}

}
