<?php
/**
 * @package     SP LMS
 * @subpackage  mod_splmscoursescategegory
 *
 * @copyright   Copyright (C) 2010 - 2015 JoomShaper. All rights reserved.
 * @license     GNU General Public License version 2 or later.
 */

defined('_JEXEC') or die;

class ModSplmscoursescategegoryHelper {

	public static function getCoursescategories($params) {

		// Get Course Type
		$category_type 	= $params->get('category_type');
		$limit 			= $params->get('limit');

		$db = JFactory::getDbo();
		$query = $db->getQuery(true);
		$query->select('*');
		$query->from($db->quoteName('#__splms_coursescategories'));
		$query->where('language in (' . $db->quote(JFactory::getLanguage()->getTag()) . ',' . $db->quote('*') . ')');
		$query->where($db->quoteName('access')." IN (" . implode( ',', JFactory::getUser()->getAuthorisedViewLevels() ) . ")");
		$query->where($db->quoteName('enabled') . ' = 1');
		if ($category_type== 'featured') {
			$query->where($db->quoteName('featured') . ' = 1');
		}
		$query->order($db->quoteName('ordering') . ' ASC');
		if($limit) {
			$query->setLimit($limit);
		}
		$db->setQuery($query);
		$items = $db->loadObjectList();

		//Retrive number of courses
		foreach ($items as &$item) {
			$item->url = JRoute::_('index.php?option=com_splms&view=coursescategory&id='.$item->splms_coursescategory_id.':'.$item->slug . SplmsHelper::getItemid('coursescategories'));
		}

		return $items;

	}

}
