<?php
/**
 * @package     SP LMS
 * @subpackage  mod_splmscoursesearch
 *
 * @copyright   Copyright (C) 2010 - 2015 JoomShaper. All rights reserved.
 * @license     GNU General Public License version 2 or later.
 */

defined('_JEXEC') or die;

// Load Component Helper
require_once JPATH_BASE . '/components/com_splms/helpers/helper.php';

class modSplmscoursesearchHelper {

	public static function getAjax(){

		$input  = JFactory::getApplication()->input;

		$input 	= $input->get('data', '', 'RAW');

		if($input == '') return;

		$results = self::getSearchedCourses($input);

		$output = '<ul class="splms-courses-search results-list">';

		if (!empty($results)) {
			foreach ($results as $result) {
				$output .= '<li>';
				$output .= '<a href='.$result->url.'>';
				$output .= $result->title;
				$output .= '</a>';
				$output .= '</li>';
			}
		}else{
			$output .= '<li class="splms-empty">';
			$output .= JText::_('MOD_SPLMSCOURSESEARCH_NO_ITEM_FOUND');
			$output .= '</li>';
		}

		$output .= '</ul>';

		return $output;
	}

	private static function getSearchedCourses($getCourseName){
		$db = JFactory::getDbo();
		$query = $db->getQuery(true);

		$search = preg_replace('#\xE3\x80\x80#s', " ", trim($getCourseName));
		$search_array = explode(" ", $search);

		$query->select($db->quoteName(array('splms_course_id', 'title', 'slug', 'description')));
		$query->from($db->quoteName('#__splms_courses'));
		$query->where('language in (' . $db->quote(JFactory::getLanguage()->getTag()) . ',' . $db->quote('*') . ')');
		$query->where($db->quoteName('access')." IN (" . implode( ',', JFactory::getUser()->getAuthorisedViewLevels() ) . ")");
		$query->where($db->quoteName('enabled')." = 1");
		$query->where($db->quoteName('title') . " LIKE '%" . implode("%' OR " . $db->quoteName('title') . " LIKE '%", $search_array) . "%'");
		$query->order('ordering DESC');
		$query->setLimit(10);
		$db->setQuery($query);
		$results = $db->loadObjectList();

		foreach ($results as &$result) {
			$result->url  = JRoute::_('index.php?option=com_splms&view=course&id='.$result->splms_course_id.':'.$result->slug . SplmsHelper::getItemid('courses'));
			$result->title = JFilterOutput::ampReplace($result->title);
		}

		return $results;
	}

}
