<?php
/**
 * @package     SP LMS
 * @subpackage  mod_splmseventcategories
 *
 * @copyright   Copyright (C) 2010 - 2015 JoomShaper. All rights reserved.
 * @license     GNU General Public License version 2 or later.
 */

defined('_JEXEC') or die;

class ModSplmseventcategegoriesHelper {

	public static function getEventcategories($params) {

		$db = JFactory::getDbo();
		$query = $db->getQuery(true);

		$query->select('*');
		$query->from($db->quoteName('#__splms_eventcategories'));
		$query->where('language in (' . $db->quote(JFactory::getLanguage()->getTag()) . ',' . $db->quote('*') . ')');
		$query->where($db->quoteName('access')." IN (" . implode( ',', JFactory::getUser()->getAuthorisedViewLevels() ) . ")");
		$query->where($db->quoteName('enabled') . ' = 1');
		$query->order($db->quoteName('ordering') . ' ASC');
		$query->setLimit($params->get('limit', 12));
		$db->setQuery($query);
		$items = $db->loadObjectList();

		foreach ($items as &$item) {
			$item->url = $item->url = JRoute::_('index.php?option=com_splms&view=eventcategory&id='.$item->splms_eventcategory_id.':'.$item->slug . splmshelper::getItemid('eventcategories'));
		}

		if (empty($items)) {
			$items = JTEXT::_('MOD_SPLMS_NO_EVENT_FOUND');
		}

		return $items;

	}
}
