<?php
/**
 * @package     SP LMS
 * @subpackage  mod_splmsresourcepersons
 *
 * @copyright   Copyright (C) 2010 - 2017 JoomShaper. All rights reserved.
 * @license     GNU General Public License version 2 or later.
*/

defined('_JEXEC') or die;


class ModSplmspersonsHelper {

	// Get teachers
	public static function getTeachers($params) {

		$item_type = $params->get('person_type', 'teachers');
		$ordering = $params->get('ordering', 'DESC');

		$db = JFactory::getDbo();
		$query = $db->getQuery(true);
		$query->select(array('*'));
		if ($item_type == 'spekaers') {
			$query->from($db->quoteName('#__splms_speakers'));
		} else {
			$query->from($db->quoteName('#__splms_teachers'));
		}
		$query->where('language in (' . $db->quote(JFactory::getLanguage()->getTag()) . ',' . $db->quote('*') . ')');
		$query->where($db->quoteName('access')." IN (" . implode( ',', JFactory::getUser()->getAuthorisedViewLevels() ) . ")");
		$query->where($db->quoteName('enabled')." = 1");
		$query->setLimit($params->get('limit', 4));
		$query->order('ordering ' . $ordering);
		$db->setQuery($query);
		$results = $db->loadObjectList();

		foreach ($results as $result) {
			if ($item_type == 'spekaers') {
				$result->url = JRoute::_('index.php?option=com_splms&view=speaker&id='.$result->splms_speaker_id.':'.$result->slug . SplmsHelper::getItemid('speakers'));
			} else {
				$result->url = JRoute::_('index.php?option=com_splms&view=teacher&id='.$result->splms_teacher_id.':'.$result->slug . SplmsHelper::getItemid('teachers'));
			}
		}

		return $results;
	}


}
